@font-face{
    font-family:'MyFont';
    src:url('../fonts/dinpro.otf') format('opentype');
    font-weight:normal;
    font-style:normal;
}
@font-face{
    font-family:'agency';
    src:url('../fonts/agency.ttf') format('truetype');
}
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}
html{
    font-size:16px;
}
body{
    width:100%;
    overflow-x:hidden;
    background:#050505;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.header{
    width:100%;
    height:2.75rem;

    display:flex;
    align-items:center;
    justify-content:flex-start;

    padding-left:1rem;
}
.logo{
    font-size:22px;
    font-weight:700;
    color:#f5b57b;
    font-family:'MyFont', sans-serif;
}
.page{
    max-width:420px;
    margin:0 auto;
    display:block;
}
.hero{
    width:100%;
    height:20vh;
    background-image:url("../img/hero.webp");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
.intro{
    padding:0.6rem 1rem 0;
    text-align: center;
    text-align:left;
}
.t1{
    font-size:25px;
    font-weight:200;
    color:white;
    line-height:1.1;
    margin-bottom:4px;

    font-family:'agency', sans-serif;
}
.t2{
    font-size: 40px;
    font-weight: 900;
    color: #ffffff;
    margin-bottom: 0px;
    font-family:'MyFont', sans-serif;
}
.neon{
    color: #ff3b3b;

    text-shadow:
        0 0 4px rgba(255, 0, 0, 0.35),
        0 0 10px rgba(255, 0, 0, 0.25),
        0 0 18px rgba(255, 0, 0, 0.15);
}
.product{
    padding:1.2rem 1rem 1rem;
}

.product-title{
    font-size:1.8rem;
    font-weight:700;
    color:#f5b57b;
    text-align:center;
    margin-bottom:0.8rem;
    font-family:'MyFont', sans-serif;
}

.product-desc{
    font-size:1rem;
    line-height:1.35;

    color:#cfcfcf;
    font-family:'agency', sans-serif;

    margin-bottom:1rem;
}

.product-bottom{
    display:flex;
    align-items:center;
    justify-content:space-between;
}

.price{
    font-size:2rem;
    font-weight:700;
    font-family:'MyFont', sans-serif;

    color:#f5b57b;
}

.buy-btn{
    border:none;
    outline:none;

    display:flex;
    align-items:center;
    gap:0.7rem;

    background:#f5b57b;
    color:black;

    padding:0.95rem 1.5rem;

    border-radius:999px;

    font-size:1.15rem;
    font-weight:700;

    cursor:pointer;

    transition:0.2s ease;

    box-shadow:
        0 0 20px rgba(245,181,123,0.12);
}

.buy-btn:hover{
    transform:translateY(-2px);
    opacity:0.95;
}

.cart-icon{
    width:1.4rem;
    height:1.4rem;

    flex-shrink:0;
}
.divider {
    width: 100%;
    height: 2px;
    position: relative;

    margin: 10px 0;
}

.divider::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);

    width: 80%; 

    height: 2px;

    background: linear-gradient(
        90deg,
        transparent,
        rgba(255, 255, 255, 0.15),
        rgba(255, 255, 255, 0.9),
        rgba(255, 255, 255, 0.15),
        transparent
    );

    box-shadow:
        0 0 6px rgba(255, 255, 255, 0.25),
        0 0 14px rgba(255, 255, 255, 0.12);
}

.divider::after {
    content: "";
    position: absolute;
    top: -8px;
    left: 50%;
    transform: translateX(-50%);

    width: 90%;
    height: 18px;

    background: radial-gradient(
        ellipse at center,
        rgba(255, 255, 255, 0.18),
        transparent 70%
    );

    filter: blur(5px);
    opacity: 0.8;
}
.specs{
    width:100%;
    padding:15px 0 15px;
}

.specs-title{
    font-family:'agency', sans-serif;
    font-size:25px;
    font-weight:200;

    color:#d7d7d7;

    text-align:center;
    margin-bottom:20px;

    line-height:1.1;
}

.specs-list{
    width:900px;
    max-width:90%;
    margin:0 auto;
    list-style:none;
}

.specs-list li{
    display:flex;
    align-items:center;
    gap:18px;

    font-family:'agency', sans-serif;
    font-size:1rem;
    line-height:1.35;

    color:#cfcfcf;

    padding:12px 0;
    border-bottom:1px solid rgba(255,255,255,0.08);
}

.specs-list li span{
    width:8px;
    height:8px;
    min-width:8px;

    border-radius:50%;
    background:#f5b57b;

    box-shadow:
        0 0 10px rgba(245,181,123,0.6),
        0 0 20px rgba(245,181,123,0.3);
}
.feature{
    width:100%;

    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:20px;

    padding:35px 1rem;
}

.feature-image1{
    width:48%;
}

.feature-image1 img{
    width:100%;
    display:block;
    object-fit:contain;
}

.feature-content{
    width:52%;
}
.feature-title{
    font-family:'MyFont', sans-serif;
    font-size:28px;
    line-height:1.05;

    color:#f5b57b;

    margin-bottom:14px;
}

.feature-text{
    font-family:'agency', sans-serif;
    font-size:1rem;
    line-height:1.35;

    color:#ffffff;
}
.center-image{
    width:100%;

    display:flex;
    justify-content:center;
    align-items:center;

    padding:20px 1rem 35px;
}

.center-image img{
    width:100%;
    max-width:380px;

    display:block;
    object-fit:contain;
}

.feature-image2{
    width:48%;
}

.feature-image2 img{
    width:100%;
    display:block;
    object-fit:contain;
}
.video-section{
    width:100%;
    padding:20px 1rem 10px;
}

.video-section video{
    width:100%;
    display:block;

    border-radius:18px;

    object-fit:cover;

    box-shadow:
        0 0 25px rgba(255,255,255,0.06);
}
.gallery-section{
    width:100%;
    padding:10px 1rem 10px;
}

.gallery-title{
    font-family:'MyFont', sans-serif;
    font-size:1.8rem;
    text-align:center;
    color:#f5b57b;
    margin-bottom:24px;
}

.gallery-grid{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:12px;
}

.gallery-item{
    overflow:hidden;
    border-radius:16px;
    cursor:pointer;
    background:#111;
}

.gallery-item img{
    width:100%;
    display:block;
    object-fit:cover;
    transition:0.3s ease;
}

.gallery-item:hover img{
    transform:scale(1.04);
}

.hidden-photo{
    display:none;
}

.gallery-more{
    width:100%;
    border:none;
    background:none;
    margin-top:20px;
    font-family:'agency', sans-serif;
    font-size:1.1rem;
    color:#f5b57b;
    cursor:pointer;
}

.lightbox{
    position:fixed;
    inset:0;
    background:rgba(0,0,0,0.92);
    display:none;
    align-items:center;
    justify-content:center;
    padding:20px;
    z-index:999;
}

.lightbox img{
    width:100%;
    max-width:900px;
    border-radius:18px;
}

.lightbox.active{
    display:flex;
}
.cta{
    width:100%;
    padding:10px 1rem 10px;

    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;

    gap:18px;
    text-align:center;
}

.cta .price{
    font-size:2rem;
    font-weight:700;
    font-family:'MyFont', sans-serif;
    color:#f5b57b;
}
.reviews{
    width:100%;
    padding:10px 0;
}

.reviews-title{
    font-family:'agency', sans-serif;
    font-size:25px;
    text-align:center;
    color:#ffffff;
    margin-bottom:20px;
}

.reviews-slider{
    display:flex;
    gap:15px;

    overflow-x:auto;
    scroll-snap-type:x mandatory;
    -webkit-overflow-scrolling:touch;

    padding:0 1rem;
}

.reviews-slider::-webkit-scrollbar{
    display:none;
}

.review-card{
    min-width:85%;
    background:#0d0d0d;

    border-radius:18px;
    padding:15px;

    scroll-snap-align:center;

    display:flex;
    flex-direction:column;
    gap:10px;
}

.review-top{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.review-name{
    font-family:'MyFont', sans-serif;
    color:#fff;
    font-size:1rem;
}

.review-stars{
    color:#f5b57b;
    font-size:1rem;
}

.review-text{
    font-family:'agency', sans-serif;
    color:#cfcfcf;
    font-size:0.95rem;
    line-height:1.3;
}

.review-card img{
    width:100%;
    border-radius:12px;
    object-fit:cover;
}
.footer{
    width:100%;
    padding:10px 1rem 40px;

    display:flex;
    flex-direction:column;
    align-items:center;
    text-align:center;

    gap:14px;
}

.footer-logo{
    font-family:'MyFont', sans-serif;
    font-size:28px;
    color:#f5b57b;
    letter-spacing:1px;
}

.footer-jp{
    font-family:'agency', sans-serif;
    font-size:0.95rem;
    color:#cfcfcf;
}

.footer-text{
    font-family:'agency', sans-serif;
    font-size:0.85rem;
    color:#9a9a9a;
    max-width:320px;
    line-height:1.4;
}

.footer-copy{
    font-family:'agency', sans-serif;
    font-size:0.85rem;
    color:#777;
}
.checkout-overlay{
    position:fixed;
    inset:0;
    background:rgba(0,0,0,0.7);
    display:none;
    justify-content:center;
    align-items:center;
    z-index:9999;
    padding:20px;
}

.checkout-overlay.active{
    display:flex;
}

.checkout-popup{
    width:100%;
    max-width:700px;
    background:#111;
    border:1px solid #2a2a2a;
    border-radius:20px;
    padding:40px;
    position:relative;
    color:white;
    font-family:'MyFont';
}

.checkout-close{
    position:absolute;
    top:20px;
    right:20px;
    background:none;
    border:none;
    color:white;
    font-size:30px;
    cursor:pointer;
}

.checkout-title{
    font-size:38px;
    margin-bottom:30px;
    color:#f5b57b;
}

.checkout-section{
    display:flex;
    flex-direction:column;
    gap:16px;
    margin-bottom:30px;
}

.checkout-section input,
.checkout-section select{
    width:100%;
    height:56px;
    background:#1a1a1a;
    border:1px solid #2f2f2f;
    border-radius:12px;
    padding:0 18px;
    color:white;
    font-size:16px;
    outline:none;
}

.country-box{
    height:56px;
    border-radius:12px;
    background:#1a1a1a;
    border:1px solid #2f2f2f;
    display:flex;
    align-items:center;
    padding:0 18px;
    color:#aaa;
}

.name-row,
.address-row{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:14px;
}

.address-row{
    grid-template-columns:1.2fr 0.8fr 0.8fr;
}

.delivery-title{
    font-size:24px;
    margin-top:10px;
}

.checkout-buttons{
    display:flex;
    justify-content:space-between;
    gap:20px;
    margin-top:30px;
}

.return-btn,
.continue-btn{
    height:56px;
    border:none;
    border-radius:14px;
    padding:0 28px;
    font-size:16px;
    cursor:pointer;
}

.return-btn{
    background:#222;
    color:white;
}

.continue-btn{
    background:#f5b57b;
    color:black;
    font-weight:600;
}

.checkout-footer{
    margin-top:35px;
    font-size:12px;
    line-height:1.6;
    color:#777;
}

.checkout-step{
    display:none;
}

.checkout-step.active{
    display:block;
}
.input-error{
    border:1px solid red !important;
}
.payment-method{
    width:100%;
    background:#161616;
    border:1px solid #2a2a2a;
    border-radius:18px;

    padding:18px 20px;
    margin-bottom:16px;

    cursor:pointer;

    transition:0.2s ease;

    color:white;
}

.payment-method:hover{
    border-color:#f5b57b;
    transform:translateY(-1px);
}

.payment-method-left{
    display:flex;
    align-items:center;
    gap:16px;
}

.payment-icon{
    width:52px;
    height:52px;

    min-width:52px;

    border-radius:14px;

    background:#202020;

    display:flex;
    align-items:center;
    justify-content:center;
}

.payment-icon svg{
    width:24px;
    height:24px;
}

.payment-info{
    display:flex;
    flex-direction:column;
    justify-content:center;
}

.payment-name{
    font-size:18px;
    font-family:'MyFont', sans-serif;
    color:white;
    line-height:1.1;
}

.payment-status{
    margin-top:6px;

    font-size:14px;
    font-family:'agency', sans-serif;

    color:#7d7d7d;
}

.payment-disabled{
    opacity:0.55;
    cursor:not-allowed;
}
.bank-card{
    width:100%;
    background:#161616;
    border:1px solid #2a2a2a;
    border-radius:18px;
    padding:22px;
    display:flex;
    flex-direction:column;
    gap:18px;
}

.bank-row{
    display:flex;
    flex-direction:column;
    gap:8px;
}

.bank-label{
    font-size:13px;
    color:#7d7d7d;
    font-family:'agency', sans-serif;
}

.bank-copy{
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:12px;
}

.bank-value{
    font-size:18px;
    color:#fff;
    font-family:'MyFont', sans-serif;
    word-break:break-word;
}

.copy-btn{
    width:40px;
    height:40px;
    border:none;
    border-radius:12px;
    background:#202020;
    display:flex;
    align-items:center;
    justify-content:center;
    cursor:pointer;
    transition:0.2s ease;
}

.copy-btn:hover{
    background:#2a2a2a;
}

.copy-btn svg{
    width:20px;
    height:20px;
}

.copy-btn.copied{
    background:#f5b57b;
}

.copy-btn.copied svg{
    stroke:black;
}
.bank-instruction{
    color:#cfcfcf;
    font-family:'agency', sans-serif;
    font-size:24px;
    margin:10px 0 20px;
    text-align:center;
}

.bank-amount{
    color:#f5b57b !important;
    font-weight:700;
}
.payid-instruction{
    color:#cfcfcf;
    font-family:'agency', sans-serif;
    font-size:24px;
    line-height:1.4;
    margin-bottom:18px;
    text-align:center;
}
.payid-amount{
    color:#f5b57b;
    font-weight:700;
}
.success-icon {
    width: 90px;
    margin: 0 auto 20px;
}

.success-title {
    text-align: center;
    color: #3ddc84;
    font-size: 28px;
    margin-bottom: 20px;
}

.success-text {
    text-align: center;
    color: #ddd;
    font-size: 20px;
    line-height: 0,5;
    padding: 0 20px;
}

.success-footer {
    margin-top: 25px;
    font-size: 10px;
    opacity: 0.6;
    text-align: center;
}

.done-btn {
    display: block;
    margin: 20px auto 0;
    padding: 12px 30px;
    background: #f5b57b;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    font-weight: bold;
}
.chat-toggle{
    position:fixed;

    right:18px;
    bottom:18px;

    width:68px;
    height:68px;

    border:none;
    border-radius:50%;

    background:#f5b57b;

    display:flex;
    align-items:center;
    justify-content:center;

    cursor:pointer;

    z-index:9999;

    box-shadow:
        0 0 25px rgba(245,181,123,0.25);

    transition:0.25s ease;
}

.chat-toggle:hover{
    transform:translateY(-3px);
}

.chat-toggle svg{
    width:30px;
    height:30px;
}

.chat-box{
    position:fixed;

    right:18px;
    bottom:100px;

    width:360px;
    height:520px;

    background:#0f0f0f;

    border:1px solid #232323;

    border-radius:24px;

    overflow:hidden;

    display:none;
    flex-direction:column;

    z-index:9999;

    box-shadow:
        0 0 50px rgba(0,0,0,0.5);
}

.chat-box.active{
    display:flex;
}

.chat-header{
    height:78px;

    border-bottom:1px solid rgba(255,255,255,0.06);

    display:flex;
    align-items:center;

    gap:14px;

    padding:0 20px;

    background:#111;
}

.chat-status{
    width:14px;
    height:14px;

    border-radius:50%;

    background:#3ddc84;

    box-shadow:
        0 0 12px rgba(61,220,132,0.6);
}

.chat-title{
    font-family:'MyFont', sans-serif;
    color:#fff;
    font-size:18px;
}

.chat-online{
    margin-top:3px;

    font-family:'agency', sans-serif;
    font-size:15px;

    color:#888;
}

.chat-messages{
    flex:1;

    overflow-y:auto;

    padding:18px;

    display:flex;
    flex-direction:column;

    gap:12px;
}

.chat-message{
    max-width:80%;

    padding:14px 16px;

    border-radius:18px;

    font-family:'agency', sans-serif;
    font-size:17px;
    line-height:1.3;
}

.chat-message.support{
    background:#1a1a1a;
    color:white;

    align-self:flex-start;
}

.chat-message.user{
    background:#f5b57b;
    color:black;

    align-self:flex-end;
}

.chat-input-area{
    height:82px;

    border-top:1px solid rgba(255,255,255,0.06);

    display:flex;
    align-items:center;

    gap:12px;

    padding:0 16px;
}

.chat-input-area input{
    flex:1;

    height:52px;

    background:#171717;

    border:1px solid #2a2a2a;

    border-radius:14px;

    padding:0 16px;

    color:white;

    outline:none;

    font-size:16px;
}

.chat-input-area button{
    width:52px;
    height:52px;

    border:none;
    border-radius:14px;

    background:#f5b57b;

    display:flex;
    align-items:center;
    justify-content:center;

    cursor:pointer;
}

.chat-input-area button svg{
    width:22px;
    height:22px;
}

@media(max-width:480px){

    .chat-box{
        width:calc(100% - 20px);
        height:70vh;

        right:10px;
        bottom:90px;
    }

}